1# Makefile.in generated by automake 1.9.6 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005  Free Software Foundation, Inc.
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17srcdir = @srcdir@
18top_srcdir = @top_srcdir@
19VPATH = @srcdir@
20pkgdatadir = $(datadir)/@PACKAGE@
21pkglibdir = $(libdir)/@PACKAGE@
22pkgincludedir = $(includedir)/@PACKAGE@
23top_builddir = .
24am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
25INSTALL = @INSTALL@
26install_sh_DATA = $(install_sh) -c -m 644
27install_sh_PROGRAM = $(install_sh) -c
28install_sh_SCRIPT = $(install_sh) -c
29INSTALL_HEADER = $(INSTALL_DATA)
30transform = $(program_transform_name)
31NORMAL_INSTALL = :
32PRE_INSTALL = :
33POST_INSTALL = :
34NORMAL_UNINSTALL = :
35PRE_UNINSTALL = :
36POST_UNINSTALL = :
37bin_PROGRAMS = genext2fs$(EXEEXT)
38subdir = .
39DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
40	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
41	$(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
42	TODO depcomp install-sh missing
43ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
44am__aclocal_m4_deps = $(top_srcdir)/configure.in
45am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
46	$(ACLOCAL_M4)
47am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
48 configure.lineno configure.status.lineno
49mkinstalldirs = $(install_sh) -d
50CONFIG_HEADER = config.h
51CONFIG_CLEAN_FILES =
52am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man8dir)"
53binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
54PROGRAMS = $(bin_PROGRAMS)
55am_genext2fs_OBJECTS = genext2fs.$(OBJEXT)
56genext2fs_OBJECTS = $(am_genext2fs_OBJECTS)
57genext2fs_LDADD = $(LDADD)
58DEFAULT_INCLUDES = -I. -I$(srcdir) -I.
59depcomp = $(SHELL) $(top_srcdir)/depcomp
60am__depfiles_maybe = depfiles
61COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
62	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
63CCLD = $(CC)
64LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
65SOURCES = $(genext2fs_SOURCES)
66DIST_SOURCES = $(genext2fs_SOURCES)
67man8dir = $(mandir)/man8
68NROFF = nroff
69MANS = $(man_MANS)
70ETAGS = etags
71CTAGS = ctags
72DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
73distdir = $(PACKAGE)-$(VERSION)
74top_distdir = $(distdir)
75am__remove_distdir = \
76  { test ! -d $(distdir) \
77    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
78         && rm -fr $(distdir); }; }
79DIST_ARCHIVES = $(distdir).tar.gz
80GZIP_ENV = --best
81distuninstallcheck_listfiles = find . -type f -print
82distcleancheck_listfiles = find . -type f -print
83ACLOCAL = @ACLOCAL@
84AMDEP_FALSE = @AMDEP_FALSE@
85AMDEP_TRUE = @AMDEP_TRUE@
86AMTAR = @AMTAR@
87AUTOCONF = @AUTOCONF@
88AUTOHEADER = @AUTOHEADER@
89AUTOMAKE = @AUTOMAKE@
90AWK = @AWK@
91CC = @CC@
92CCDEPMODE = @CCDEPMODE@
93CFLAGS = @CFLAGS@
94CPP = @CPP@
95CPPFLAGS = @CPPFLAGS@
96CYGPATH_W = @CYGPATH_W@
97DEFS = @DEFS@
98DEPDIR = @DEPDIR@
99ECHO_C = @ECHO_C@
100ECHO_N = @ECHO_N@
101ECHO_T = @ECHO_T@
102EGREP = @EGREP@
103EXEEXT = @EXEEXT@
104GREP = @GREP@
105INSTALL_DATA = @INSTALL_DATA@
106INSTALL_PROGRAM = @INSTALL_PROGRAM@
107INSTALL_SCRIPT = @INSTALL_SCRIPT@
108INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
109LDFLAGS = @LDFLAGS@
110LIBOBJS = @LIBOBJS@
111LIBS = @LIBS@
112LTLIBOBJS = @LTLIBOBJS@
113MAKEINFO = @MAKEINFO@
114OBJEXT = @OBJEXT@
115PACKAGE = @PACKAGE@
116PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
117PACKAGE_NAME = @PACKAGE_NAME@
118PACKAGE_STRING = @PACKAGE_STRING@
119PACKAGE_TARNAME = @PACKAGE_TARNAME@
120PACKAGE_VERSION = @PACKAGE_VERSION@
121PATH_SEPARATOR = @PATH_SEPARATOR@
122SET_MAKE = @SET_MAKE@
123SHELL = @SHELL@
124STRIP = @STRIP@
125VERSION = @VERSION@
126ac_ct_CC = @ac_ct_CC@
127am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
128am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
129am__include = @am__include@
130am__leading_dot = @am__leading_dot@
131am__quote = @am__quote@
132am__tar = @am__tar@
133am__untar = @am__untar@
134bindir = @bindir@
135build_alias = @build_alias@
136datadir = @datadir@
137datarootdir = @datarootdir@
138docdir = @docdir@
139dvidir = @dvidir@
140exec_prefix = @exec_prefix@
141host_alias = @host_alias@
142htmldir = @htmldir@
143includedir = @includedir@
144infodir = @infodir@
145install_sh = @install_sh@
146libdir = @libdir@
147libexecdir = @libexecdir@
148localedir = @localedir@
149localstatedir = @localstatedir@
150mandir = @mandir@
151mkdir_p = @mkdir_p@
152oldincludedir = @oldincludedir@
153pdfdir = @pdfdir@
154prefix = @prefix@
155program_transform_name = @program_transform_name@
156psdir = @psdir@
157sbindir = @sbindir@
158sharedstatedir = @sharedstatedir@
159sysconfdir = @sysconfdir@
160target_alias = @target_alias@
161genext2fs_SOURCES = genext2fs.c
162man_MANS = genext2fs.8
163EXTRA_DIST = $(man_MANS) test-gen.lib test-mount.sh test.sh device_table.txt m4/ac_func_scanf_can_malloc.m4 m4/ac_func_snprintf.m4
164TESTS = test.sh
165all: config.h
166	$(MAKE) $(AM_MAKEFLAGS) all-am
167
168.SUFFIXES:
169.SUFFIXES: .c .o .obj
170am--refresh:
171	@:
172$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
173	@for dep in $?; do \
174	  case '$(am__configure_deps)' in \
175	    *$$dep*) \
176	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
177	      cd $(srcdir) && $(AUTOMAKE) --gnu  \
178		&& exit 0; \
179	      exit 1;; \
180	  esac; \
181	done; \
182	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
183	cd $(top_srcdir) && \
184	  $(AUTOMAKE) --gnu  Makefile
185.PRECIOUS: Makefile
186Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
187	@case '$?' in \
188	  *config.status*) \
189	    echo ' $(SHELL) ./config.status'; \
190	    $(SHELL) ./config.status;; \
191	  *) \
192	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
193	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
194	esac;
195
196$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
197	$(SHELL) ./config.status --recheck
198
199$(top_srcdir)/configure:  $(am__configure_deps)
200	cd $(srcdir) && $(AUTOCONF)
201$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
202	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
203
204config.h: stamp-h1
205	@if test ! -f $@; then \
206	  rm -f stamp-h1; \
207	  $(MAKE) stamp-h1; \
208	else :; fi
209
210stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
211	@rm -f stamp-h1
212	cd $(top_builddir) && $(SHELL) ./config.status config.h
213$(srcdir)/config.h.in:  $(am__configure_deps) 
214	cd $(top_srcdir) && $(AUTOHEADER)
215	rm -f stamp-h1
216	touch $@
217
218distclean-hdr:
219	-rm -f config.h stamp-h1
220install-binPROGRAMS: $(bin_PROGRAMS)
221	@$(NORMAL_INSTALL)
222	test -z "$(bindir)" || $(mkdir_p) "$(DESTDIR)$(bindir)"
223	@list='$(bin_PROGRAMS)'; for p in $$list; do \
224	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
225	  if test -f $$p \
226	  ; then \
227	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
228	   echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
229	   $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
230	  else :; fi; \
231	done
232
233uninstall-binPROGRAMS:
234	@$(NORMAL_UNINSTALL)
235	@list='$(bin_PROGRAMS)'; for p in $$list; do \
236	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
237	  echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
238	  rm -f "$(DESTDIR)$(bindir)/$$f"; \
239	done
240
241clean-binPROGRAMS:
242	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
243genext2fs$(EXEEXT): $(genext2fs_OBJECTS) $(genext2fs_DEPENDENCIES) 
244	@rm -f genext2fs$(EXEEXT)
245	$(LINK) $(genext2fs_LDFLAGS) $(genext2fs_OBJECTS) $(genext2fs_LDADD) $(LIBS)
246
247mostlyclean-compile:
248	-rm -f *.$(OBJEXT)
249
250distclean-compile:
251	-rm -f *.tab.c
252
253@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/genext2fs.Po@am__quote@
254
255.c.o:
256@am__fastdepCC_TRUE@	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
257@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
258@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
259@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
260@am__fastdepCC_FALSE@	$(COMPILE) -c $<
261
262.c.obj:
263@am__fastdepCC_TRUE@	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
264@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
265@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
266@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
267@am__fastdepCC_FALSE@	$(COMPILE) -c `$(CYGPATH_W) '$<'`
268uninstall-info-am:
269install-man8: $(man8_MANS) $(man_MANS)
270	@$(NORMAL_INSTALL)
271	test -z "$(man8dir)" || $(mkdir_p) "$(DESTDIR)$(man8dir)"
272	@list='$(man8_MANS) $(dist_man8_MANS) $(nodist_man8_MANS)'; \
273	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
274	for i in $$l2; do \
275	  case "$$i" in \
276	    *.8*) list="$$list $$i" ;; \
277	  esac; \
278	done; \
279	for i in $$list; do \
280	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
281	  else file=$$i; fi; \
282	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
283	  case "$$ext" in \
284	    8*) ;; \
285	    *) ext='8' ;; \
286	  esac; \
287	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
288	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
289	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
290	  echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
291	  $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst"; \
292	done
293uninstall-man8:
294	@$(NORMAL_UNINSTALL)
295	@list='$(man8_MANS) $(dist_man8_MANS) $(nodist_man8_MANS)'; \
296	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
297	for i in $$l2; do \
298	  case "$$i" in \
299	    *.8*) list="$$list $$i" ;; \
300	  esac; \
301	done; \
302	for i in $$list; do \
303	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
304	  case "$$ext" in \
305	    8*) ;; \
306	    *) ext='8' ;; \
307	  esac; \
308	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
309	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
310	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
311	  echo " rm -f '$(DESTDIR)$(man8dir)/$$inst'"; \
312	  rm -f "$(DESTDIR)$(man8dir)/$$inst"; \
313	done
314
315ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
316	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
317	unique=`for i in $$list; do \
318	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
319	  done | \
320	  $(AWK) '    { files[$$0] = 1; } \
321	       END { for (i in files) print i; }'`; \
322	mkid -fID $$unique
323tags: TAGS
324
325TAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
326		$(TAGS_FILES) $(LISP)
327	tags=; \
328	here=`pwd`; \
329	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
330	unique=`for i in $$list; do \
331	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
332	  done | \
333	  $(AWK) '    { files[$$0] = 1; } \
334	       END { for (i in files) print i; }'`; \
335	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
336	  test -n "$$unique" || unique=$$empty_fix; \
337	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
338	    $$tags $$unique; \
339	fi
340ctags: CTAGS
341CTAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
342		$(TAGS_FILES) $(LISP)
343	tags=; \
344	here=`pwd`; \
345	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
346	unique=`for i in $$list; do \
347	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
348	  done | \
349	  $(AWK) '    { files[$$0] = 1; } \
350	       END { for (i in files) print i; }'`; \
351	test -z "$(CTAGS_ARGS)$$tags$$unique" \
352	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
353	     $$tags $$unique
354
355GTAGS:
356	here=`$(am__cd) $(top_builddir) && pwd` \
357	  && cd $(top_srcdir) \
358	  && gtags -i $(GTAGS_ARGS) $$here
359
360distclean-tags:
361	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
362
363check-TESTS: $(TESTS)
364	@failed=0; all=0; xfail=0; xpass=0; skip=0; \
365	srcdir=$(srcdir); export srcdir; \
366	list='$(TESTS)'; \
367	if test -n "$$list"; then \
368	  for tst in $$list; do \
369	    if test -f ./$$tst; then dir=./; \
370	    elif test -f $$tst; then dir=; \
371	    else dir="$(srcdir)/"; fi; \
372	    if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
373	      all=`expr $$all + 1`; \
374	      case " $(XFAIL_TESTS) " in \
375	      *" $$tst "*) \
376		xpass=`expr $$xpass + 1`; \
377		failed=`expr $$failed + 1`; \
378		echo "XPASS: $$tst"; \
379	      ;; \
380	      *) \
381		echo "PASS: $$tst"; \
382	      ;; \
383	      esac; \
384	    elif test $$? -ne 77; then \
385	      all=`expr $$all + 1`; \
386	      case " $(XFAIL_TESTS) " in \
387	      *" $$tst "*) \
388		xfail=`expr $$xfail + 1`; \
389		echo "XFAIL: $$tst"; \
390	      ;; \
391	      *) \
392		failed=`expr $$failed + 1`; \
393		echo "FAIL: $$tst"; \
394	      ;; \
395	      esac; \
396	    else \
397	      skip=`expr $$skip + 1`; \
398	      echo "SKIP: $$tst"; \
399	    fi; \
400	  done; \
401	  if test "$$failed" -eq 0; then \
402	    if test "$$xfail" -eq 0; then \
403	      banner="All $$all tests passed"; \
404	    else \
405	      banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
406	    fi; \
407	  else \
408	    if test "$$xpass" -eq 0; then \
409	      banner="$$failed of $$all tests failed"; \
410	    else \
411	      banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
412	    fi; \
413	  fi; \
414	  dashes="$$banner"; \
415	  skipped=""; \
416	  if test "$$skip" -ne 0; then \
417	    skipped="($$skip tests were not run)"; \
418	    test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
419	      dashes="$$skipped"; \
420	  fi; \
421	  report=""; \
422	  if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
423	    report="Please report to $(PACKAGE_BUGREPORT)"; \
424	    test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
425	      dashes="$$report"; \
426	  fi; \
427	  dashes=`echo "$$dashes" | sed s/./=/g`; \
428	  echo "$$dashes"; \
429	  echo "$$banner"; \
430	  test -z "$$skipped" || echo "$$skipped"; \
431	  test -z "$$report" || echo "$$report"; \
432	  echo "$$dashes"; \
433	  test "$$failed" -eq 0; \
434	else :; fi
435
436distdir: $(DISTFILES)
437	$(am__remove_distdir)
438	mkdir $(distdir)
439	$(mkdir_p) $(distdir)/m4
440	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
441	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
442	list='$(DISTFILES)'; for file in $$list; do \
443	  case $$file in \
444	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
445	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
446	  esac; \
447	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
448	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
449	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
450	    dir="/$$dir"; \
451	    $(mkdir_p) "$(distdir)$$dir"; \
452	  else \
453	    dir=''; \
454	  fi; \
455	  if test -d $$d/$$file; then \
456	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
457	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
458	    fi; \
459	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
460	  else \
461	    test -f $(distdir)/$$file \
462	    || cp -p $$d/$$file $(distdir)/$$file \
463	    || exit 1; \
464	  fi; \
465	done
466	-find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
467	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
468	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
469	  ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
470	|| chmod -R a+r $(distdir)
471dist-gzip: distdir
472	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
473	$(am__remove_distdir)
474
475dist-bzip2: distdir
476	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
477	$(am__remove_distdir)
478
479dist-tarZ: distdir
480	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
481	$(am__remove_distdir)
482
483dist-shar: distdir
484	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
485	$(am__remove_distdir)
486
487dist-zip: distdir
488	-rm -f $(distdir).zip
489	zip -rq $(distdir).zip $(distdir)
490	$(am__remove_distdir)
491
492dist dist-all: distdir
493	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
494	$(am__remove_distdir)
495
496# This target untars the dist file and tries a VPATH configuration.  Then
497# it guarantees that the distribution is self-contained by making another
498# tarfile.
499distcheck: dist
500	case '$(DIST_ARCHIVES)' in \
501	*.tar.gz*) \
502	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
503	*.tar.bz2*) \
504	  bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
505	*.tar.Z*) \
506	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
507	*.shar.gz*) \
508	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
509	*.zip*) \
510	  unzip $(distdir).zip ;;\
511	esac
512	chmod -R a-w $(distdir); chmod a+w $(distdir)
513	mkdir $(distdir)/_build
514	mkdir $(distdir)/_inst
515	chmod a-w $(distdir)
516	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
517	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
518	  && cd $(distdir)/_build \
519	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
520	    $(DISTCHECK_CONFIGURE_FLAGS) \
521	  && $(MAKE) $(AM_MAKEFLAGS) \
522	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
523	  && $(MAKE) $(AM_MAKEFLAGS) check \
524	  && $(MAKE) $(AM_MAKEFLAGS) install \
525	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
526	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
527	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
528	        distuninstallcheck \
529	  && chmod -R a-w "$$dc_install_base" \
530	  && ({ \
531	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
532	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
533	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
534	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
535	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
536	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
537	  && rm -rf "$$dc_destdir" \
538	  && $(MAKE) $(AM_MAKEFLAGS) dist \
539	  && rm -rf $(DIST_ARCHIVES) \
540	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
541	$(am__remove_distdir)
542	@(echo "$(distdir) archives ready for distribution: "; \
543	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
544	  sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
545distuninstallcheck:
546	@cd $(distuninstallcheck_dir) \
547	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
548	   || { echo "ERROR: files left after uninstall:" ; \
549	        if test -n "$(DESTDIR)"; then \
550	          echo "  (check DESTDIR support)"; \
551	        fi ; \
552	        $(distuninstallcheck_listfiles) ; \
553	        exit 1; } >&2
554distcleancheck: distclean
555	@if test '$(srcdir)' = . ; then \
556	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
557	  exit 1 ; \
558	fi
559	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
560	  || { echo "ERROR: files left in build directory after distclean:" ; \
561	       $(distcleancheck_listfiles) ; \
562	       exit 1; } >&2
563check-am: all-am
564	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
565check: check-am
566all-am: Makefile $(PROGRAMS) $(MANS) config.h
567installdirs:
568	for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man8dir)"; do \
569	  test -z "$$dir" || $(mkdir_p) "$$dir"; \
570	done
571install: install-am
572install-exec: install-exec-am
573install-data: install-data-am
574uninstall: uninstall-am
575
576install-am: all-am
577	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
578
579installcheck: installcheck-am
580install-strip:
581	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
582	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
583	  `test -z '$(STRIP)' || \
584	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
585mostlyclean-generic:
586
587clean-generic:
588
589distclean-generic:
590	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
591
592maintainer-clean-generic:
593	@echo "This command is intended for maintainers to use"
594	@echo "it deletes files that may require special tools to rebuild."
595clean: clean-am
596
597clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
598
599distclean: distclean-am
600	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
601	-rm -rf ./$(DEPDIR)
602	-rm -f Makefile
603distclean-am: clean-am distclean-compile distclean-generic \
604	distclean-hdr distclean-tags
605
606dvi: dvi-am
607
608dvi-am:
609
610html: html-am
611
612info: info-am
613
614info-am:
615
616install-data-am: install-man
617
618install-exec-am: install-binPROGRAMS
619
620install-info: install-info-am
621
622install-man: install-man8
623
624installcheck-am:
625
626maintainer-clean: maintainer-clean-am
627	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
628	-rm -rf $(top_srcdir)/autom4te.cache
629	-rm -rf ./$(DEPDIR)
630	-rm -f Makefile
631maintainer-clean-am: distclean-am maintainer-clean-generic
632
633mostlyclean: mostlyclean-am
634
635mostlyclean-am: mostlyclean-compile mostlyclean-generic
636
637pdf: pdf-am
638
639pdf-am:
640
641ps: ps-am
642
643ps-am:
644
645uninstall-am: uninstall-binPROGRAMS uninstall-info-am uninstall-man
646
647uninstall-man: uninstall-man8
648
649.PHONY: CTAGS GTAGS all all-am am--refresh check check-TESTS check-am \
650	clean clean-binPROGRAMS clean-generic ctags dist dist-all \
651	dist-bzip2 dist-gzip dist-shar dist-tarZ dist-zip distcheck \
652	distclean distclean-compile distclean-generic distclean-hdr \
653	distclean-tags distcleancheck distdir distuninstallcheck dvi \
654	dvi-am html html-am info info-am install install-am \
655	install-binPROGRAMS install-data install-data-am install-exec \
656	install-exec-am install-info install-info-am install-man \
657	install-man8 install-strip installcheck installcheck-am \
658	installdirs maintainer-clean maintainer-clean-generic \
659	mostlyclean mostlyclean-compile mostlyclean-generic pdf pdf-am \
660	ps ps-am tags uninstall uninstall-am uninstall-binPROGRAMS \
661	uninstall-info-am uninstall-man uninstall-man8
662
663# Tell versions [3.59,3.63) of GNU make to not export all variables.
664# Otherwise a system limit (for SysV at least) may be exceeded.
665.NOEXPORT:
666